Summary:	libdrm
Name:	 	Xorg-libdrm
Version:	7.5_2.4.5_20090304
Release:	2
License:	GPL
URL:		http://dri.freedesktop.org
Source:		drm.tar.bz2
Group:		Libraries
BuildRoot:	%{_tmppath}/%{name}-root
Provides:	drm libdrm drmlib
#define __spec_install_post /usr/lib/rpm/brp-compress

%description
The Direct Rendering Infrastructure, also known as the DRI, is a framework
for allowing direct access to graphics hardware under the X Window System 
in a safe and efficient manner. It includes changes to the X server, to se
veral client libraries, and to the kernel. The first major use for the DRI
is to create fast OpenGL implementations.

git clone git://anongit.freedesktop.org/git/mesa/drm

%package        devel
Summary:        Development
Group:          Development
Provides:	drm-devel libdrm-devel drmlib-devel

%description    devel
Xorg-libdrm devel

%prep
%setup -q -n drm

%build
autogen.sh --host=i386-pc-linux --build=i386-pc-linux --prefix=/usr/X11R6 --sysconfdir=/etc --localstatedir=/var
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/{include,lib/pkgconfig}; mkdir -p $RPM_BUILD_ROOT/usr/share/aclocal
cd $RPM_BUILD_ROOT/usr/include; ln -sf ../X11R6/include/* .
cd $RPM_BUILD_ROOT/usr/lib; ln -sf ../X11R6/lib/lib* .
cd $RPM_BUILD_ROOT/usr/lib/pkgconfig; ln -sf ../../X11R6/lib/pkgconfig/* .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/lib/lib*
/usr/lib/lib*

%files devel
%defattr(-,root,root)
/usr/X11R6/include
/usr/X11R6/lib/pkgconfig
/usr/include
/usr/lib/pkgconfig
